Name:           debootstrap
Version:        1.0.60
Release:        1%{?dist}
Summary:        Debian GNU/Linux bootstrapper

Group:          System Environment/Base
License:        MIT
URL:            http://code.erisian.com.au/Wiki/debootstrap
Source0:        http://ftp.debian.org/debian/pool/main/d/debootstrap/debootstrap_%{version}.tar.xz
Patch0:         debootstrap-perms.patch
Patch1:         debootstrap-arch.patch
Patch2:         debootstrap-path.patch
BuildArch:      noarch

BuildRequires:  fakeroot
Requires:       gettext, wget, tar, gzip, binutils


%description
debootstrap is used to create a Debian base system from scratch, without
requiring the availability of dpkg or apt.  It does this by downloading
.deb files from a mirror site, and carefully unpacking them into a
directory which can eventually be chrooted into.

This might be often useful coupled with virtualization techniques to run
Debian GNU/Linux guest system.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# fix hardcoded paths
sed -i -e 's;/usr/sbin;%{_sbindir};' Makefile


%build
# no need for _smp_mflags
# no MAKEDEV, need to create necessary devices
fakeroot make MAKEDEV='mkdir -p fd && \
        mknod console c 5 1 && \
        mknod core c 1 6 && \
        mknod full c 1 7 && \
        mknod mem c 1 1 && \
        mknod null c 1 3 && \
        mknod port c 1 4 && \
        mknod ptmx c 5 2 && \
        mknod random c 1 8 && \
        mknod tty c 5 0 && \
        mknod urandom c 1 9 && \
        mknod zero c 1 5 && \
        ln -sf ../proc/self/fd fd && \
        ln -sf ../proc/self/fd/0 fd/stdin && \
        ln -sf ../proc/self/fd/1 fd/stdout && \
        ln -sf ../proc/self/fd/2 fd/stderr && \
:'


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/debootstrap/scripts/
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 debootstrap.8 $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT \
       VERSION="%{version}-%{release}" \
       DSDIR=$RPM_BUILD_ROOT%{_datadir}/debootstrap
# substitute the rpm macro path
sed -i -e 's;/usr/share;%{_datadir};' $RPM_BUILD_ROOT%{_sbindir}/debootstrap
# correct the debootstrap script timestamp
touch -r debootstrap  $RPM_BUILD_ROOT%{_sbindir}/debootstrap


%files
%defattr(-,root,root,-)
%{_datadir}/debootstrap
%{_sbindir}/debootstrap
%{_mandir}/man8/debootstrap.8*
%doc debian/changelog debian/copyright README


%changelog
* Sat Aug 02 2014 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.60-1
- new upstream release:
  + Ubuntu utopic as a symlink to gutsy
  + Compression support in fallback method for deb archives extraction

* Tue Apr 29 2014 Lubomir Rintel <lkundrak@v3.sk> 1.0.59-1.2
- Fix chrooting
- Fix architecture detection
- Drop unneded MAKEDEV patch, as we don't use it anymore

* Tue Apr 29 2014 Lubomir Rintel <lkundrak@v3.sk> 1.0.59-1.1
- RHEL 7 does not ship MAKEDEV anymore

* Fri Feb 14 2014 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.59-1
- new upstream release:
  + install ca-certificates as well as apt-transport-https for https installations

* Wed Feb 12 2014 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.58-1
- new upstream release:
  + install apt-transport-https when installing over HTTPS

* Sun Feb 09 2014 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.57-1
- new upstream release:
  + Ubuntu trusty as a symlink to gutsy
  + when debian-archive-keyring is not available, use the main mirror with https
  + separate installation of base-passwd and base-files
  + pkgdetails_perl: fix percentage sign interpretation

* Mon Sep 02 2013 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.53-1
- new upstream release:
  + add saucy (Ubuntu) as a symlink to gutsy
  + clarify location of pkgdetails.c in error message
  + resolve mount points symlinks relative to target chroot before unmounting them
  + gutsy: detect if running under Upstart
  + sid, gutsy: add policy-rc.d
  + set Debian source format to '3.0 (native)'
  + bump debhelper compat level to 9
  + set Vcs-* to canonical format
  + update Standards to 3.9.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 18 2013 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.50-1
- new upstream release:
  + add support for 'jessie' release
  + print version and revision information when retrieving the packages

* Fri Apr 05 2013 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.48-1
- new upstream release:
  + Disable InRelease support.  gpgv won't give us back the signed data, and
    full gpg is not available inside d-i (Debian: #703889).
  + Move extract_release_components to after signature verification.

* Sun Mar 31 2013 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.47-1
- new upstream release:
  + properly decrypt InRelease file if available
  + add dependency on gnupg

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 01 2013 Jan Vcelak <jvcelak@redhat.com> 1.0.46-1
- new upstream release:
  + better support use on Android
  + use which to locate sh if /bin/sh not found

* Thu Nov 22 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.44-1
- new upstream release:
  + remove double quotes to fix for loop on GNU/kFreeBSD

* Wed Nov 07 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.43-1
- new upstream release:
  + add (Ubuntu) raring as a symlink to gutsy.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.42-1
- new upstream release:
  + downgrade missing InRelease file warning to info message

* Tue Jun 26 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.41-1
- new upstream release:
  + support for InRelease repository files

* Wed May 02 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.40-1
- new upstream release:
  + better error reporting when installation or configuration fails
  + add quantal as a symlink to gutsy

* Wed Mar 14 2012 Jan Vcelak <jvcelak@redhat.com> 1.0.39-1
- new upstream release:
  + retry corrupted downloads rather than carrying on almost regardless
  + stop at the end of the retrieval phase if any packages failed to download

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.38-1
- new upstream release:
  + a few bugfixes, no new features

* Mon Oct 24 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.37-1
- new upstream release:
  + add Ubuntu 'precise' as a symlink to 'gutsy'

* Mon Aug 22 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.36-1
- new upstream release:
  + use md5sum for 'sarge'
  + improve error message when decompressing command is not available
  + add more information regarding the version and architecture in case a download fails
  + do not use --arch when we specifically care about the host architecture
  + guess host OS based on uname for non-Debian systems
  + clarify "target" in usage message
  + search PATH for programs, rather than checking hardcoded locations
  + various fixes for installing kFreeBSD

* Mon Jun 20 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.32-1
- new upstream release:
  + use md5sums for 'woody' and 'potato'

* Mon May 23 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.31-1
- bootstrapping Ubuntu systems:
  + recommend ubuntu-keyring instead of debian-archive-keyring
  + check signatures when ubuntu-keyring package is installed

* Fri May 20 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.30-1
- new upstream release:
  + support bootstraping Debian oldstable
  + Ubuntu Oneiric symlink to Gutsy
  + removed --boot-floppies switch and mode
  + various fixes in package GPG signatures checking

* Tue Mar 08 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.28-1
- new upstream release:
  + fix: bug in the ar extractor for non-gz data.tar in .debs (Debian #598729)
  + remove 5 second sleeps when debootstrap finds additional required dependencies
  + use SHA checksums instead of MD5
  + avoid new warning from dpkg about missing Maintainer field

* Wed Feb 09 2011 Jan Vcelak <jvcelak@redhat.com> 1.0.27-1
- new upstream release (typo in --private-key, improve Hurd support)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Jan Vcelak <jvcelak@redhat.com> 1.0.26-1
- new upstream release (fix typos and remove old workaround for md5sum)

* Mon Oct 25 2010 Jan Vcelak <jvcelak@redhat.com> 1.0.25-1
- new upstream release (support for HTTPS, added Ubuntu Nanty, added Debian Wheezy)

* Wed May 26 2010 Jan Zeleny <jzeleny@redhat.com> - 1.0.23-1
- rebased to 1.0.23 (Add ${misc:Depends}, Add (Ubuntu) maverick as symlink to gutsy)

* Fri Mar 05 2010 Jan Zeleny <jzeleny@redhat.com> - 1.0.22-1
- rebased to 1.0.22

* Wed Sep 30 2009 Adam Goode <adam@spicenitz.org> - 1.0.19-2
- Make sure to create /dev/console in devices.tar.gz

* Wed Sep 30 2009 Adam Goode <adam@spicenitz.org> - 1.0.19-1
- New upstream release
   + Many bugfixes
   + Support for new distributions
- Arch patch no longer needed
- Rebase other patches

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 15 2008 Lubomir Rintel <lkundrak@v3.sk> - 1.0.10-1
- New upstream version

* Sun Jun 15 2008 Adam Goode <adam@spicenitz.org> - 1.0.9-1
- 1.0.9

* Fri Feb 22 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.8-1
- 1.0.8

* Sun Nov 18 2007 Patrice Dumas <pertusus@free.fr> 1.0.7-2
- keep timestamps
- use rpm macros instead of hardcoded paths

* Sat Nov 17 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.0.7-1
- Version bump

* Thu Nov 15 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.0.3-2
- Some more fixes, thanks to Patrice Dumas (#329291)

* Fri Oct 12 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.0.3-1
- Incorporating advises from Patrice Dumas (#329291) in account

* Fri Oct 12 2007 Lubomir Kundrak <lkundrak@redhat.com> 0.3.3.2etch1-1
- Initial package
